org.eclipse.rdf4j.federated.endpoint.provider

## Class SPARQLRepositoryInformation

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation
  - - org.eclipse.rdf4j.federated.endpoint.provider.SPARQLRepositoryInformation

-     public class SPARQLRepositoryInformation
      extends RepositoryInformation

  Class holding information for RDF4J `SPARQLRepository` initialization.

  Format:

       @prefix sd:  .
       @prefix fedx: .

       <%name%> a sd:Service ;
              fedx:store "SPARQLEndpoint";
              sd:endpoint "%location%"

        a sd:Service ;
              fedx:store "SPARQLEndpoint";
              sd:endpoint "http://dbpedia.org/sparql".

  Note: the id is constructed from the name: http://dbpedia.org/ => sparql_dbpedia.org

  The following properties can be used to define additional endpoint settings.

       fedx:supportsASKQueries => "true"|"false" (default: true)

  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLRepositoryInformation(Model graph, Resource repNode)`
    `SPARQLRepositoryInformation(String name, String endpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `hasAdditionalSettings(Model graph, Resource repNode)`
    `protected void` | `initialize(Model graph, Resource repNode)`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `get, get, getEndpointConfiguration, getId, getLocation, getName, getType, isWritable, setEndpointConfiguration, setProperty, setType, setWritable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQLRepositoryInformation

          public SPARQLRepositoryInformation(String name,
                                             String endpoint)

    - #### SPARQLRepositoryInformation

          public SPARQLRepositoryInformation(Model graph,
                                             Resource repNode)

  - ### Method Detail

    - #### initialize

          protected void initialize(Model graph,
                                    Resource repNode)

    - #### hasAdditionalSettings

          protected boolean hasAdditionalSettings(Model graph,
                                                  Resource repNode)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.